/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.TaxaEmbarqueKmDAO;
import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.TaxaEmbarqueKm;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Desenvolvimento
 */
@Repository("taxaEmbarqueKmDAO")
public class TaxaEmbarqueKmHibernateDAO extends GenericHibernateDAO<TaxaEmbarqueKm, Integer>
        implements TaxaEmbarqueKmDAO {

    @Autowired
    public TaxaEmbarqueKmHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<TaxaEmbarqueKm> buscarPorOrgao(OrgaoConcedente orgaoconcedenteId) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("orgaoconcedenteId", orgaoconcedenteId));

        return c.list();
    }
}
